require 'thor'
require 'headerutil'

module HeaderUtil
  class CLI < Thor
	desc "check", "check file header with options. Ex. headerutil check 'Copyright Note'"
	method_option :header, aliases: "-h", :desc => "provide string to check"
	def check
	    puts HeaderUtil::Utility.check(options[:header])
	end

	desc "checknupdate", "check and update file header with options. Ex. headerutil checknupdate 'Copyright Note'"
	method_option :header, aliases: "-h", :desc => "provide string to check"
	def checknupdate
	    puts HeaderUtil::Utility.check_and_update_header(options[:header])
	end

  end
end